﻿using UnityEngine;
using System.Collections;
using UnityEngine.EventSystems;
using UnityEngine.UI;

public class ChangingColor : MonoBehaviour, IPointerClickHandler
{
	public GameObject helloworld;
	private Text textHellworld;
	private Outline textOutline;
	private Shadow textShadow;

	public Color testColor0 = new Color (1f, 0f, 0.5f, 1.0f);
	public Color testColor1 = new Color32 (255, 100, 5, 245);

	void Start ()
	{
		textHellworld = helloworld.GetComponent<Text> ();
		textOutline = helloworld.GetComponent<Outline> ();

		// OutlineコンポーネントはShadowを継承したクラスなので、
		// GetComponent<Shadow>()をすると、Outlineを取得してしまう。
		// 以下のように配列で取得するか、
		// または、Unityエディターで順序を変える(=私は未検証)
		textShadow = helloworld.GetComponents<Shadow> () [1];

		textHellworld.color = testColor1;
	}

	public void OnPointerClick (PointerEventData eventData)
	{
		Debug.Log ("OnPointerClick");

		if (textHellworld.color == testColor1) {
			textHellworld.color = testColor0;
		} else {
			textHellworld.color = testColor1;
		}

		textOutline.effectColor = new Color32 ((byte)Random.Range (0, 255), (byte)Random.Range (0, 255), (byte)Random.Range (0, 255), (byte)Random.Range (0, 255));

		textShadow.effectColor = new Color32 ((byte)Random.Range (0, 255), (byte)Random.Range (0, 255), (byte)Random.Range (0, 255), (byte)Random.Range (0, 255));
	}
}
